using System;
using Qusion.WebApp.Areas.cms.Models.Query;

namespace Qusion.WebApp.Areas.cms.Models.Pages
{
    public class PageQueryInput : WorkflowQueryInput
    {
        private bool _allowAnonymous = true;
        private bool _navigable = true;

        public PageQueryInput()
        {
            PublishedOnFrom = DateTime.MinValue.AddDays(1);
            PublishedOnTo = DateTime.MaxValue.AddDays(-1);
        }

        public string PageType { get; set; }
        public string Title { get; set; }
        public string MenuName { get; set; }

        public bool Navigable
        {
            get { return _navigable; }
            set { _navigable = value; }
        }

        public bool AllowAnonymous
        {
            get { return _allowAnonymous; }
            set { _allowAnonymous = value; }
        }

        public bool RequireSSL { get; set; }
    }
}